Bug 987952 - engine-config should return the list of possible VNC keyboard layouts
engine-config should return the list of possible VNC keyboard layouts
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-config (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ravi Nori
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 09:01 EDT by Yair Zaslavsky
Modified: 2015-03-04 19:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:27:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17546 None None None Never
oVirt gerrit 18402 None None None Never

  None (edit)
Description Yair Zaslavsky 2013-07-24 09:01:51 EDT
Description of problem:

Changing the default VNC keyboard layout is possible via engine-config.
There should be an indication to what are the possible values.

The information on the possible layouts is stored at vdc_options table
(VncKeyboardLayoutValidValues option name)



Version-Release number of selected component (if applicable):


How reproducible:

engine-config -g VncKeyboardLayout  - shows the current default layout

engine-config -s VncKeyboardLayout=foofoo 

Cannot set value foofoo to key VncKeyboardLayout. 

engine-config -s VncKeyboardLayout=fr

works.
But how can I know what are the possible values via engine config?


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Itamar Heim 2013-08-21 12:39:48 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 2 Itamar Heim 2013-09-23 03:27:11 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.